jQuery(document).ready(function($) {
    /* Function to Get a Cookie by Name */
    function getCookie(name) {
        let nameEQ = name + "=";
        let ca = document.cookie.split(';');
        for(let i=0;i < ca.length;i++) {
            let c = ca[i];
            while (c.charAt(0)==' ') c = c.substring(1,c.length);
            if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
        }
        return null;
    }

    /* Function to Set a Cookie */
    function setCookie(name, value, days) {
        let expires = "";
        if (days) {
            let date = new Date();
            date.setTime(date.getTime() + (days*24*60*60*1000));
            expires = "; expires=" + date.toUTCString();
        }
        document.cookie = name + "=" + (value || "")  + expires + "; path=/";
    }

    /* Check if Cookie Functionality is Enabled */
    if (cdp_ajax_object.cookie_enabled === '1') {
        /* Check if the user has already accepted the disclaimer */
        if (!getCookie(cdp_ajax_object.cookie_name)) {
            /* Show the popup after the specified delay */
            setTimeout(function() {
                $('#cdp-disclaimer-popup').fadeIn();
            }, cdp_ajax_object.popup_delay * 1000); // Convert seconds to milliseconds
        }
    } else {
        /* If cookie is disabled, always show the popup */
        setTimeout(function() {
            $('#cdp-disclaimer-popup').fadeIn();
        }, cdp_ajax_object.popup_delay * 1000); // Convert seconds to milliseconds
    }

    /* Handle the "I Agree" button click */
    $('#cdp-accept-button').on('click', function() {
        /* Set the cookie if enabled */
        if (cdp_ajax_object.cookie_enabled === '1') {
            setCookie(cdp_ajax_object.cookie_name, 'true', cdp_ajax_object.cookie_days);
        }
        /* Hide the popup */
        $('#cdp-disclaimer-popup').fadeOut();
    });

    /* Handle the "I Disagree" button click */
    $('#cdp-decline-button').on('click', function() {
        /* Redirect to the specified URL */
        window.location.href = cdp_ajax_object.disagree_url;
    });
});
